# Cancellation Fees Cancellation Fees ## Gets all of the cancellation fees in the system. - [GET /cancellationFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/listcancellationfees.md): This method will scan all cancellation fees and and return them to the caller. ## Creates a new cancellation fee record that does not already exist. - [POST /cancellationFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/createcancellationfee.md): This method will auto-generate an ID and create a new cancellation fee. If an ID is specified for the cancellation fee, an error will be thrown. ## Execute Batch Operations - [POST /cancellationFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a cancellation fee from the system by its ID. - [DELETE /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/deletecancellationfee.md): This method will delete a cancellation fee with the specified ID. ## Returns a cancellation fee from the system by its ID. - [GET /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/getcancellationfee.md): This method will look up a cancellation fee by the specified ID and return it back. ## Partially updates a cancellation fee with the specified ID. - [PATCH /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/patchcancellationfee.md): This method will patch an existing cancellation fee with the specified ID, using the HTTP PATCH specification. ## Updates a cancellation fee with the specified ID. - [PUT /cancellationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/cancellation-fees/updatecancellationfee.md): This method will update an existing cancellation fee with the specified ID.